package ckorn.studienarbeit.buch.bean;

import javax.ejb.*;
import java.rmi.*;
import ckorn.studienarbeit.buch.interfaces.*;

/** Die eigentliche CMP-EntityBean BuchBean */
public class BuchBean implements EntityBean  {

	// die persistenten Attribute der Bean
	public InvNo invNo; //Inventar-Nummer des Buches
	public String author; //Autor des Buches
	public String title; //Titel des Buches
	public String pubFirm; //Bemerkung zu dem Buch

	// die transienten Attribute der Bean
	transient private EntityContext entityContext; //der Entity-Context der Bean

	/** Erzeugt ein neues Buch */
	public InvNo ejbCreate (InvNo invNo, String author, String title, String pubFirm) {
		this.invNo = new InvNo();	
		this.setInvNo(invNo);
		this.setAuthor(author);
		this.setTitle(title);
		this.setPubFirm(pubFirm);
		return null;
	}
	
	/** Initialisierungen */
	public void ejbPostCreate(InvNo invNo, String author, String title, String pubFirm) {
		// leer gelassen
	}

	public void ejbRemove() {
		// leer gelassen, da CMP
	} 

	public void ejbActivate() {
		// leer gelassen, da CMP
	} 
	
	public void ejbPassivate() {
		// leer gelassen, da CMP
	} 
	
	public void ejbLoad() {
		// leer gelassen, da CMP
	} 
	
	public void ejbStore() {
		// leer gelassen, da CMP
	} 

	/** setzt den Entity-Kontext
	 * @param entityContext der Entity-Kontext
	*/
	public void setEntityContext(EntityContext entityContext) {
		this.entityContext = entityContext;
	}

	/** lscht den Entity-Kontext */
	public void unsetEntityContext() {
		this.entityContext = null;
	}

	/* ---------- get- und set-Methoden ---------- */

	/* gibt die Inventarnummer des Buches zurck
	 *	@return die Inventarnummer des Buches (Primrschlssel)
	*/
	public InvNo getInvNo() {
		 return(this.invNo);
	}

	/** setzt die Inventarnummer des Buches
	 *	@param invNo die Inventarnummer (Primrschlssel)
	*/
	public void setInvNo(InvNo invNo) {
		this.invNo = invNo;
	}

	/** gibt den Autor des Buches zurck 
	 *	@return der Autor des Buches
	*/
	public String getAuthor() {
		return(this.author);
	}
	
	/** setzt den Autor des Buches
	 *	@param author der Autor
	*/
	public void setAuthor(String author) {
		this.author = author;
	}

	/** gibt den Titel des Buches zurck
	 *	@return der Titel des Buches
	*/	
	public String getTitle() {
		return(this.title);
	}

	/** setzt den Titel des Buches
	 *	@param title der Titel
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/** gibt den Verlag des Buches zurck
	 * @return der Verlag
	 */
	public String getPubFirm() {
		return this.pubFirm;
	}

	/** setzt den Verlag des Buches
	 * der Verlag
	 */
	public void setPubFirm(String pubFirm) {
		this.pubFirm = pubFirm;
	}

	/** gibt eine Stringreprsentation des Buches zurck.
	 * Die Methode toString() kann nicht benutzt werden, da diese von dem RMI-Remote-Objekten berschrieben wird
	 * @return eine Stringreprsentation des Buches
	 */
	public String getStringRepresentation() {
		return ("InvNo      : "+this.invNo.toString()+
		      "\nTitle      : "+this.title+
				"\nAuthor     : "+this.author+
				"\nPubl. firm : "+this.pubFirm+"\n");
	}

}


