package ckorn.studienarbeit.buch.interfaces;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

/** Das Home-Interface der CMP-Entity-Bean Buch-Bean */
public interface BuchHome extends EJBHome {

	/** Erzeugt ein neues Buch
	 * @param invNo die InventarNummer des Buches (Primrschlssel)
	 *	@param title der Buchtitel
	 *	@param author der Buchautor
	 *	@param pubFirm der Verlag
	 *	@return das Remote-Objekt der neu erstellten Bean
	*/
	public BuchRemote create(InvNo invNo, String author, String title, String pubFirm) throws RemoteException, CreateException;
	
	/** sucht ein Buch ber die Inventarnummer
	 *	@param invNo die Inventarnummer
	 *	@return das Remote-Interface der gefundenen Bean
	*/
	public BuchRemote findByPrimaryKey (InvNo invNo) throws RemoteException, FinderException;	
	
	/** Sucht alle Bcher eines Autors
	 *	@param author der Autor, dessen Bcher gesucht werden
	 *	@return eine Collection aller Bcher des Autors
	*/
	public Collection findByAuthor (String author) throws RemoteException, FinderException;	
	
	/** Sucht ein Buch nach seinem Titel
	 *	@param title der Titel, nach dem gesucht wird
	 *	@return eine Collection aller gefunden Bcher
	*/
	public Collection findByTitle (String title) throws RemoteException, FinderException;	

	/** Gibt alle Bcher zurck
	 *	@return eine Collection aller Bcher
	*/
	public Collection findAll() throws RemoteException, FinderException;
}

