package ckorn.studienarbeit.buch.interfaces;

import javax.ejb.*;
import java.rmi.*;

/** Remote-Interface der CMP-Entity-Bean Buch-Bean */
public interface BuchRemote extends EJBObject {

	/* gibt die Inventarnummer des Buches zurck
	 *	@return die Inventarnummer des Buches (Primrschlssel)
	*/
	public InvNo getInvNo() throws RemoteException;
	
	/** setzt die Inventarnummer des Buches
	 *	@param invNo die Inventarnummer (Primrschlssel)
	*/
	public void setInvNo(InvNo invNo) throws RemoteException;

	/** gibt den Autor des Buches zurck 
	 *	@return der Autor des Buches
	*/	
	public String getAuthor() throws RemoteException;
	
	/** setzt den Autor des Buches
	 *	@param author der Autor
	*/
	public void setAuthor(String author) throws RemoteException;

	/** gibt den Titel des Buches zurck
	 *	@return der Titel des Buches
	*/		
	public String getTitle() throws RemoteException;

	/** setzt den Titel des Buches
	 *	@param title der Titel
	 */
	public void setTitle(String title) throws RemoteException;

	/** gibt den Verlag des Buches zurck
	 * @return der Verlag
	 */
	public String getPubFirm() throws RemoteException;
	
	/** setzt den Verlag des Buches
	 * der Verlag
	 */
	public void setPubFirm(String pubFirm) throws RemoteException;
	
	/** gibt eine Stringreprsentation des Buches zurck.
	 * Die Methode toString() kann nicht benutzt werden, da diese von dem RMI-Remote-Objekten berschrieben wird
	 * @return eine Stringreprsentation des Buches
	 */
	public String getStringRepresentation() throws RemoteException;
}
